explain_rename_or_die(3)

NAME
explain_rename_or_die - change the name of a file and report errors
    "change the name of a file and report errors"

SYNOPSIS
#include <libexplain/rename.h>

void explain_rename_or_die(const char *oldpath, const char *newpath);

DESCRIPTION
The explain_rename_or_die function is used to call the rename(2) system call. On failure an explanation will be printed to stderr, obtained from explain_rename(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_rename_or_die(oldpath, newpath);

oldpath
    The oldpath, exactly as to be passed to the rename(2) system call.

newpath
    The newpath, exactly as to be passed to the rename(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

rename(2)
    change the name or location of a file

explain_rename(3)
    explain rename(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller